/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"xl.h"



XL_SEXP * search_error(XL_SEXP * s)
{
	for ( ; ; ) {
		switch ( get_type(s) ) {
		case XLT_ERROR:
			return s;
		case XLT_PAIR:
			s = cdr(s);
			break;
		default:
			return 0;
		}
	}
}

